be.fgov.ehealth.standards.kmehr.schema.v1

## Class IncapacityreasonType

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.schema.v1.IncapacityreasonType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:00:31+01:00",
                 comments="JAXB RI v2.2.11")
      public class IncapacityreasonType
      extends Object
      implements Serializable

  to specify the reason of an incapacity

  Java class for incapacityreasonType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="incapacityreasonType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-INCAPACITYREASON"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncapacityreasonType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDINCAPACITYREASON` | `getCd()` Gets the value of the cd property.
    `void` | `setCd(CDINCAPACITYREASON value)` Sets the value of the cd property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IncapacityreasonType

          public IncapacityreasonType()

  - ### Method Detail

    - #### getCd

          public CDINCAPACITYREASON getCd()

      Gets the value of the cd property.
      Returns:
        possible object is `CDINCAPACITYREASON`

    - #### setCd

          public void setCd(CDINCAPACITYREASON value)

      Sets the value of the cd property.
      Parameters:
        `value` - allowed object is `CDINCAPACITYREASON`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.